#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr .testrepository subunit.log doc/source/reference/api *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python3-novaclient/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# blacklisting:
	# https://bugs.launchpad.net/python-novaclient/+bug/1998856
	# These are broken since Python 3.12.3
	# test_shell.ParserTest.test_ambiguous_option
	# test_shell.ParserTest.test_not_really_ambiguous_option
	pkgos-dh_auto_test --no-py2 'novaclient\.tests\.unit\.(?!test_shell\.TestLoadVersionedActions\.test_load_actions_with_versioned_args|test_shell\.TestLoadVersionedActions\.test_load_versioned_actions|test_shell\.ParserTest\.test_ambiguous_option|test_shell\.ParserTest\.test_not_really_ambiguous_option)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-novaclient-doc/usr/share/doc/python-novaclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
